Subject: bug#31231: Symbol search broken in NEWS and ChangeLogs

From: Eli Zaretskii <[email-masked]>
Date: Tue, 24 Apr 2018 06:45:54 +0300

On April 24, 2018 5:33:30 AM GMT+03:00, Eli Zaretskii <[email-masked]> wrote:
> > From: Juri Linkov <[email-masked]>
> > Cc: [email-masked]
> > Date: Mon, 23 Apr 2018 23:16:09 +0300
> > 
> > >> But how these text terminals display Unicode quotes in Info
> manuals?
> > >
> > > Info manuals are displayed by an Info reader, and each Info reader
> has
> > > its own solution for this problem (generally, substitution of
> ASCII
> > > characters for undisplayable Unicode ones).
> > 
> > Does the Emacs Info reader implement such solution?
> 
> Emacs itself does, not just in Info.  The standalone Info reader (part
> of the Texinfo package) has a slightly different solution.
> 
> > > I was talking about reading NEWS in a general-purpose
> text-browsing
> > > program, such as Less.  It is IMO not a good idea to prevent
> people
> > > from doing that and requiring them to only read NEWS and ChangeLog
> > > files in Emacs.
> > 
> > When I tried to read NEWS using Less in xterm, I can see all these
> > quotes in UTF-8, for example, the quotes in “like this”.
> 
> I guess that's because your text terminal supports UTF-8.
> 
> > Every symbol in NEWS quoted by either ‘straight’ quoting style 'like
> this',
> > or ‘grave’ `like this'.  For example, for
> 'electric-quote-replace-double'
> > starting Isearch with ‘M-s .’, and repeating the same symbol search
> in the
> > source code.
> 
> I'm asking what us the problem not to use "M-s ." in those cases, and
> instead to look for the symbol as a literal string.  I think in a file
> like NEWS this shouldn't yield too many false hits.

Ah, I see I've misunderstood.  You originally talked about "M-s _", not about
"M-s .".

Is "M-s ." the main/only problem?